/***********************************************************
*           Serial interface routines for RxSat            *
*           (C) 2009 by Marius Petrescu, YO2LOJ            *
*       Released under the GNU General Public License      *
***********************************************************/
#ifndef _INCLUDE_UART_H_
#define _INCLUDE_UART_H_

/* the xtal clock in Hz */ 
#define _UART_XTAL_CLOCK	4000000
/* macro to set correct baud divisor depending on the xtal clock */
#define _UART_UBRR(baud)	(((_UART_XTAL_CLOCK/16)/baud)-1)

#define UART_CMD_NONE	0
#define UART_CMD_START	1
#define UART_CMD_DONE	2
#define UART_CMD_SCAN	3

#define UART_MINCHAN		'0'
#define UART_MAXCHAN		'9'

/* uart command interface */
extern char uart_cmd;
extern char uart_chan;

/* Initialise sequence for the uart */
extern void uart_init(void);

#endif